"""

Configs migration



Generation datetime: 2020-12-01 21:32:56.371353

"""

from typing import List

from configs_core.migration.db_migrate_helper import DatabaseMigrationHelper as mh, LimitationToModify

REVISION = "19ea5610"

DOWN_REVISION = "869f0c13"


limitationsToModify: List[LimitationToModify] = []


def upgrade():
    """Upgrade configs to new revision"""

    # limitations to add

    mh.addLimitation(
        limitationName="LUNA_IMAGE_STORE_ACTIVE_PLUGINS",
        validationSchema={"type": "array", "items": {"type": "string"}},
        defaultValue=[],
        description="list active plugins of luna-image-store",
        services=["luna-image-store"],
        groupNames=["luna-platform"],
    )

    # limitations to modify

    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)


def downgrade():
    """Downgrade configs to previous revision"""

    # limitations to modify

    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)

    # limitations to remove

    mh.removeLimitation(limitationName="LUNA_IMAGE_STORE_ACTIVE_PLUGINS")
